Ben op Hostnet van PHP 5 naar PHP 7 versie gegaan

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

.NET Developer / Innovatieve software / Virtual Re

Functieomschrijving Als .Net developer werken aan innovatieve software waar onder andere gebruik gemaakt wordt van Virtual Reality? Bijdragen aan een organisatie waar je uitgedaagd wordt om continu verbeteringen en ontwikkelpunten te ontdekken en door te voeren? Werken in de omgeving Putten? Reageer dan nu voor meer informatie! Het pro-actief aandragen van verbeteringen voor de bestaande applicatie; Ontwikkelen van nieuwe functionaliteiten; Doorvoeren van aanpassingen en wijzigingen; Verantwoordelijk voor koppelingen met andere systemen; Op de hoogte blijven van technische ontwikkelingen. Functie-eisen Hbo werk- en denkniveau; Een afgeronde IT gerelateerde opleiding; Minimaal 1 jaar professionele ervaring als developer; Aantoonbare kennis van C#; Initiatiefrijke

Bekijk vacature »

Ed Kool

Ed Kool

11/08/2019 22:31:58
Quote Anchor link
Na de omzetting krijg ik een melding als:

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /var/www/vhosts/47/189351/webspace/httpdocs/semanta.nl/semanta/config.php:18 Stack trace: #0 /var/www/vhosts/47/189351/webspace/httpdocs/semanta.nl/semanta/eisenpakket.php(167): require_once() #1 {main} thrown in /var/www/vhosts/47/189351/webspace/httpdocs/semanta.nl/semanta/config.php on line 18

require_once("bepl-sgmt-func.php");
require_once("conv.php");

Kan iemand mij helpen, HOSTNET Geeft geen support
Gewijzigd op 11/08/2019 22:47:14 door - Ariën -
 
PHP hulp

PHP hulp

18/08/2019 11:57:58
 
- Ariën -
Beheerder

- Ariën -

11/08/2019 22:46:47
Quote Anchor link
Dit is geen bug van PHPHulp, dus ik zet dit topic in het juiste forum.

In PHP7 bestaat mysql_connect() niet meer, en moet je dus overstappen op de functies van mysqli_******() of PDO. Aan de include() functies ligt het niet, maar wel aan de bestanden die wat met MySQL doen.
Gewijzigd op 11/08/2019 22:56:26 door - Ariën -
 
Michael -

Michael -

14/08/2019 14:10:06
Quote Anchor link
Ed, is het inmiddels gelukt?
Hier een overzicht die je mogelijk kan helpen.
 
Adoptive Solution

Adoptive Solution

14/08/2019 19:02:16
 
Thomas van den Heuvel

Thomas van den Heuvel

15/08/2019 16:54:21
Quote Anchor link
Maar waarom zou je terug willen gaan? Wellicht als tijdelijke fix, maar grote kans dat de support van 5.X op een gegeven moment ook ophoudt. En dan is het (alsnog) zaak dat je over bent, anders sta je weer voor hetzelfde probleem alleen is er dan geen tijdelijke oplossing meer...

Misschien is het nu ook een uitgelezen moment voor een code review, want als er nog mysql-meuk in zit dan zal de rest van de applicatie (met name mbt security) mogelijk ook niet helemaal snor meer zitten :}.
 
- Ariën -
Beheerder

- Ariën -

15/08/2019 18:22:59
Quote Anchor link
Hoogstens kan je downgraden voor wat ademruimte, zodat je de boel kan fixxen/updaten. Probeer de hoogst mogelijke versie uit, en ga dan steeds een stapje lager.
 
Henk Post

Henk Post

17/08/2019 23:41:56
Quote Anchor link
Foutief geplaatst
Gewijzigd op 18/08/2019 00:00:32 door Henk Post
 
- Ariën -
Beheerder

- Ariën -

17/08/2019 23:58:38
Quote Anchor link
Zou je een eigen topic kunnen aanmaken? Nu kaap je het topic van Ed, en dat is niet overzichtelijk.

Alvast bedankt!
 
Henk Post

Henk Post

17/08/2019 23:59:55
Quote Anchor link
Maar natuurlijk, weet (nog) niet precies wat de huisregels hieromtrent zijn.
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.